PROKKA(1)

NAME
prokka - rapid annotation of prokaryotic genomes

DESCRIPTION

  Name:

    Prokka 1.10 by Torsten Seemann <torsten.seemann@monash.edu>

  Synopsis:

    rapid bacterial genome annotation

  Usage:

    prokka [options] <contigs.fasta>

  General:

--help
    This help

--version
    Print version and exit

--docs
    Show full manual/documentation

--citation
    Print citation for referencing Prokka

--quiet
    No screen output (default OFF)

  Setup:

--listdb
    List all configured databases

--setupdb
    Index all installed databases

--cleandb
    Remove all database indices

--depends
    List all software dependencies

  Outputs:

--outdir [X]
    Output folder [auto] (default '')

--force
    Force overwriting existing output folder (default OFF)

--prefix [X]
    Filename output prefix [auto] (default '')

--addgenes
    Add 'gene' features for each 'CDS' feature (default OFF)

--locustag [X]
    Locus tag prefix (default 'PROKKA')

--increment [N]
    Locus tag counter increment (default '1')

--gffver [N]
    GFF version (default '3')

--compliant
    Force Genbank/ENA/DDJB compliance: --addgenes --mincontiglen 200 --centre XXX (default OFF)

--centre [X]
    Sequencing centre ID. (default '')

  Organism details:

--genus [X]
    Genus name (default 'Genus')

--species [X]
    Species name (default 'species')

--strain [X]
    Strain name (default 'strain')

--plasmid [X]
    Plasmid name or identifier (default '')

  Annotations:

--kingdom [X]
    Annotation mode: (default 'Bacteria')

--gcode [N]
    Genetic code / Translation table (set if --kingdom is set) (default '0')

--gram [X]
    Gram: -/neg +/pos (default '')

--usegenus
    Use genus-specific BLAST databases (needs --genus) (default OFF)

--proteins [X]
    Fasta file of trusted proteins to first annotate from (default '')

--metagenome
    Improve gene predictions for highly fragmented genomes (default OFF)

--rawproduct
    Do not clean up /product annotation (default OFF)

  Computation:

--fast
    Fast mode - skip CDS /product searching (default OFF)

--cpus [N]
    Number of CPUs to use [0=all] (default '8')

--mincontiglen [N] Minimum contig size [NCBI needs 200] (default '1')

--evalue [n.n]
    Similarity e-value cut-off (default '1e-06')

--rfam
    Enable searching for ncRNAs with Infernal+Rfam (SLOW!) (default '0')

--norrna
    Don't run rRNA search (default OFF)

--notrna
    Don't run tRNA search (default OFF)

--rnammer
    Prefer RNAmmer over Barrnap for rRNA prediction (default OFF)